Bug 15790 - rpm -F does not work as described
rpm -F does not work as described
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-09 04:52 EDT by Gerald Teschl
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-13 13:40:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gerald Teschl 2000-08-09 04:52:34 EDT
In the man page it says 

   rpm [-F|--freshen] [install-options] <package_file>+
 
       This will upgrade packages, but only if an earlier version
       currently exists. 

However, if I use rpm -F foo-1.0-1.rpm foo-.1.1-1.rpm bar-1.1-1.rpm
and have foo-1.1-1 and bar-1.0-1 installed, bar will not be upgraded
( this happens if you use e.g. rpm -F *).
There is a warning that foo-1.0-1 is not installed since a newer version
already exists, however, there is no warning that bar wasn't upgraded!!!!
So since there is no error concerning bar, you get the impression
that it was upgraded. This could cause a high security risk!
Comment 1 Glen Foster 2000-08-13 13:40:15 EDT
Do you get more information from the output of rpm -Fvh with the same packages? 
Or does rpm "silently" give up without any more information and leave the
freshen operation incomplete?
Comment 2 Preston Brown 2000-08-14 10:58:21 EDT
if a transaction set (i.e. a set of RPMs) fails, i.e. any of the RPMs in the set
fails for some reason, then the whole transaction is cancelled.  This is
intentional behavior.

Note You need to log in before you can comment on or make changes to this bug.